All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::cuda_not_available_exception Class Reference

`#include <forwards.h>`

Inheritance diagram for viennacl::cuda_not_available_exception:

## Public Member Functions

| cuda_not_available_exception ()
virtual const char * | what () const throw ()
virtual | ~cuda_not_available_exception () throw ()

## Detailed Description

Definition at line 585 of file forwards.h.

## Constructor & Destructor Documentation

viennacl::cuda_not_available_exception::cuda_not_available_exception | ( |  | ) |

inline

Definition at line 588 of file forwards.h.

virtual viennacl::cuda_not_available_exception::~cuda_not_available_exception | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 592 of file forwards.h.

## Member Function Documentation

virtual const char* viennacl::cuda_not_available_exception::what | ( |  | ) | const
throw | ( |
| ) |  |

inline virtual

Definition at line 590 of file forwards.h.

The documentation for this class was generated from the following file:

- viennacl/forwards.h